# Language: French (BEPO)
---
outlines:
    default:       { width: 53.76,  height: 42 }
    change-view:   { width: 53.76,  height: 42 }
    change-view-2: { width: 80.64,  height: 42 }
    placeholder:   { width: 53.76,  height: 42 }
    spaceline:     { width: 241.92, height: 42 }
    special:       { width: 53.76,  height: 42 }
    special-2:     { width: 80.64,  height: 42 }

views:
    base:
        - "b é p o w v d l j z"
        - "a u i e c t s r n m"
        - "show_upper y x k q g h f . BackSpace"
        - "show_numbers preferences space show_eschars Return"
    upper:
        - "B É P O W V D L J Z"
        - "A U I E C T S R N M"
        - "show_upper Y X K Q G H F - BackSpace"
        - "show_numbers preferences space show_eschars Return"
    numbers:
        - "1 2 3 4 5 6 7 8 9 0"
        - "@ # € % & - _ + ( )"
        - "show_symbols , \" ' : ; ! ? -- BackSpace"
        - "show_letters preferences space show_eschars Return"
    symbols:
        - "~ ` | · √ π τ ÷ × ¶"
        - "© ® £ $ ¥ ^ ° * { }"
        - "show_numbers_from_symbols \\ / < > = [ ] -- BackSpace"
        - "show_letters preferences space show_eschars Return"
    eschars:
        - "à â ç é è ê î ô ù û"
        - "À Â Ç É È Ê Î Ô Ù Û"
        - "show_numbers_from_symbols æ œ ä ë ï ö ü : BackSpace"
        - "show_letters preferences space show_eschars Return"

buttons:
    show_upper:
        action:
            locking:
                lock_view: "upper"
                unlock_view: "base"
        outline: "change-view"
        icon: "key-shift"
    BackSpace:
        outline: "special"
        icon: "edit-clear-symbolic"
        action: "erase"
    preferences:
        action: "show_prefs"
        outline: "special"
        icon: "keyboard-mode-symbolic"
    show_numbers:
        action:
            set_view: "numbers"
        outline: "change-view-2"
        label: "123"
    show_numbers_from_symbols:
        action:
            set_view: "numbers"
        outline: "change-view"
        label: "123"
    show_letters:
        action:
            set_view: "base"
        outline: "change-view-2"
        label: "ABC"
    show_symbols:
        action:
            set_view: "symbols"
        outline: "change-view"
        label: "*/="
    show_eschars:
        action:
            locking:
                lock_view: "eschars"
                unlock_view: "base"
        outline: "change-view-2"
        label: "âÂ"
    space:
        outline: "spaceline"
        text: " "
    Return:
        outline: "special-2"
        icon: "key-enter"
        keysym: "Return"
    --:
        outline: "placeholder"
        text: ""